import React from 'react';
import './style.css';
import backIcon from '../../images/NavBar/back_pre_btn@2x.png';

function NavBar(props) {
  const { title, history } = props;
  return (
    <div className='nav'>
      <div className='backIcon' onClick={() => history.goBack()}>
        <div className='backIcon_Inner'>
          <img src={backIcon} alt='' />
        </div>
      </div>
      <div className='title'>{title}</div>
    </div>
  );
}

export default NavBar;
